<?xml version="1.0"?>
<doc>
    <assembly>
        <name>SweetLib.IO</name>
    </assembly>
    <members>
        <member name="T:SweetLib.IO.Classes.Streaming.IStreamable">
            <summary>
            Streamable objects
            </summary>
        </member>
        <member name="M:SweetLib.IO.Classes.Streaming.IStreamable.SaveToStream(System.IO.Stream)">
            <summary>
            Saves the current object into a stream.
            </summary>
            <param name="stream">Stream in which the current object should be saved.</param>
        </member>
        <member name="M:SweetLib.IO.Classes.Streaming.IStreamable.LoadFromStream(System.IO.Stream)">
            <summary>
            Loads the object from a given stream.
            </summary>
            <param name="stream">Stream from which the object is loaded.</param>
        </member>
        <member name="T:SweetLib.IO.Classes.Streaming.StreamException">
            <summary>
            Exception thrown by streaming related operations.
            </summary>
        </member>
        <member name="M:SweetLib.IO.Classes.Streaming.StreamException.#ctor">
            <summary>
            Creates a new <see cref="T:SweetLib.IO.Classes.Streaming.StreamException"/>.
            </summary>
        </member>
        <member name="M:SweetLib.IO.Classes.Streaming.StreamException.#ctor(System.String)">
            <summary>
            Creates a new <see cref="T:SweetLib.IO.Classes.Streaming.StreamException"/>.
            </summary>
            <param name="message">Exception message.</param>
        </member>
        <member name="T:SweetLib.IO.Classes.Streaming.StreamTypeException">
            <summary>
            Exception thrown by streaming related operations. May be thrown if the stream types do not match.
            </summary>
        </member>
        <member name="M:SweetLib.IO.Classes.Streaming.StreamTypeException.#ctor">
            <summary>
            Creates a new <see cref="T:SweetLib.IO.Classes.Streaming.StreamTypeException"/>.
            </summary>
        </member>
        <member name="M:SweetLib.IO.Classes.Streaming.StreamTypeException.#ctor(System.String)">
            <summary>
            Creates a new <see cref="T:SweetLib.IO.Classes.Streaming.StreamTypeException"/>.
            </summary>
            <param name="message">Exception message.</param>
        </member>
        <member name="T:SweetLib.IO.Classes.Streaming.StreamManager">
            <summary>
            <see cref="T:SweetLib.IO.Classes.Streaming.StreamManager"/> wraps some useful methods for custom implementations of object streaming.
            </summary>
        </member>
        <member name="M:SweetLib.IO.Classes.Streaming.StreamManager.SaveToStream(System.IO.Stream,System.String)">
            <summary>
            Adds a <see cref="T:System.String"/> to a given <see cref="T:System.IO.Stream"/>.
            </summary>
            <param name="stream"><see cref="T:System.IO.Stream"/> to which the <see cref="T:System.String"/> will be added.</param>
            <param name="value"><see cref="T:System.String"/> value to add.</param>
        </member>
        <member name="M:SweetLib.IO.Classes.Streaming.StreamManager.SaveToStream(System.IO.Stream,System.Boolean)">
            <summary>
            Adds a <see cref="T:System.Boolean"/> to a given <see cref="T:System.IO.Stream"/>.
            </summary>
            <param name="stream"><see cref="T:System.IO.Stream"/> to which the <see cref="T:System.Boolean"/> will be added.</param>
            <param name="value"><see cref="T:System.Boolean"/> value to add.</param>
        </member>
        <member name="M:SweetLib.IO.Classes.Streaming.StreamManager.SaveToStream(System.IO.Stream,System.Char)">
            <summary>
            Adds a <see cref="T:System.Char"/> to a given <see cref="T:System.IO.Stream"/>.
            </summary>
            <param name="stream"><see cref="T:System.IO.Stream"/> to which the <see cref="T:System.Char"/> will be added.</param>
            <param name="value"><see cref="T:System.Char"/> value to add.</param>
        </member>
        <member name="M:SweetLib.IO.Classes.Streaming.StreamManager.SaveToStream(System.IO.Stream,System.Int32)">
            <summary>
            Adds a <see cref="T:System.Int32"/> to a given <see cref="T:System.IO.Stream"/>.
            </summary>
            <param name="stream"><see cref="T:System.IO.Stream"/> to which the <see cref="T:System.Int32"/> will be added.</param>
            <param name="value"><see cref="T:System.Int32"/> value to add.</param>
        </member>
        <member name="M:SweetLib.IO.Classes.Streaming.StreamManager.SaveToStream(System.IO.Stream,System.Int64)">
            <summary>
            Adds a <see cref="T:System.Int64"/> to a given <see cref="T:System.IO.Stream"/>.
            </summary>
            <param name="stream"><see cref="T:System.IO.Stream"/> to which the <see cref="T:System.Int64"/> will be added.</param>
            <param name="value"><see cref="T:System.Int64"/> value to add.</param>
        </member>
        <member name="M:SweetLib.IO.Classes.Streaming.StreamManager.SaveToStream(System.IO.Stream,System.Single)">
            <summary>
            Adds a <see cref="T:System.Single"/> to a given <see cref="T:System.IO.Stream"/>.
            </summary>
            <param name="stream"><see cref="T:System.IO.Stream"/> to which the <see cref="T:System.Single"/> will be added.</param>
            <param name="value"><see cref="T:System.Single"/> value to add.</param>
        </member>
        <member name="M:SweetLib.IO.Classes.Streaming.StreamManager.SaveToStream(System.IO.Stream,System.Double)">
            <summary>
            Adds a <see cref="T:System.Double"/> to a given <see cref="T:System.IO.Stream"/>.
            </summary>
            <param name="stream"><see cref="T:System.IO.Stream"/> to which the <see cref="T:System.Double"/> will be added.</param>
            <param name="value"><see cref="T:System.Double"/> value to add.</param>
        </member>
        <member name="M:SweetLib.IO.Classes.Streaming.StreamManager.SaveToStream(System.IO.Stream,System.DateTime)">
            <summary>
            Adds a <see cref="T:System.DateTime"/> to a given <see cref="T:System.IO.Stream"/>.
            </summary>
            <param name="stream"><see cref="T:System.IO.Stream"/> to which the <see cref="T:System.DateTime"/> will be added.</param>
            <param name="value"><see cref="T:System.DateTime"/> value to add.</param>
        </member>
        <member name="M:SweetLib.IO.Classes.Streaming.StreamManager.SaveToStream(System.IO.Stream,System.IO.Stream,System.Boolean)">
            <summary>
            Adds a <see cref="T:System.IO.Stream"/> to a given <see cref="T:System.IO.Stream"/>.
            </summary>
            <param name="stream"><see cref="T:System.IO.Stream"/> to which the <see cref="T:System.IO.Stream"/> will be added.</param>
            <param name="value"><see cref="T:System.IO.Stream"/> value to add.</param>
            <param name="resetSourceStream">If true, the full given <see cref="!:value"/> will be copied, otherwhise the stream will be copied from current position until its end.</param>
        </member>
        <member name="M:SweetLib.IO.Classes.Streaming.StreamManager.LoadFromStream(System.IO.Stream,System.String@)">
            <summary>
            Loads a <see cref="T:System.String"/> from a given <see cref="T:System.IO.Stream"/>.
            </summary>
            <param name="stream"><see cref="T:System.IO.Stream"/> from which the <see cref="T:System.String"/> will be loaded.</param>
            <param name="value">Contains the loaded <see cref="T:System.String"/> value.</param>
        </member>
        <member name="M:SweetLib.IO.Classes.Streaming.StreamManager.LoadFromStream(System.IO.Stream,System.Boolean@)">
            <summary>
            Loads a <see cref="T:System.Boolean"/> from a given <see cref="T:System.IO.Stream"/>.
            </summary>
            <param name="stream"><see cref="T:System.IO.Stream"/> from which the <see cref="T:System.Boolean"/> will be loaded.</param>
            <param name="value">Contains the loaded <see cref="T:System.Boolean"/> value.</param>
        </member>
        <member name="M:SweetLib.IO.Classes.Streaming.StreamManager.LoadFromStream(System.IO.Stream,System.Char@)">
            <summary>
            Loads a <see cref="T:System.Char"/> from a given <see cref="T:System.IO.Stream"/>.
            </summary>
            <param name="stream"><see cref="T:System.IO.Stream"/> from which the <see cref="T:System.Char"/> will be loaded.</param>
            <param name="value">Contains the loaded <see cref="T:System.Char"/> value.</param>
        </member>
        <member name="M:SweetLib.IO.Classes.Streaming.StreamManager.LoadFromStream(System.IO.Stream,System.Int32@)">
            <summary>
            Loads a <see cref="T:System.Int32"/> from a given <see cref="T:System.IO.Stream"/>.
            </summary>
            <param name="stream"><see cref="T:System.IO.Stream"/> from which the <see cref="T:System.Int32"/> will be loaded.</param>
            <param name="value">Contains the loaded <see cref="T:System.Int32"/> value.</param>
        </member>
        <member name="M:SweetLib.IO.Classes.Streaming.StreamManager.LoadFromStream(System.IO.Stream,System.Int64@)">
            <summary>
            Loads a <see cref="T:System.Int64"/> from a given <see cref="T:System.IO.Stream"/>.
            </summary>
            <param name="stream"><see cref="T:System.IO.Stream"/> from which the <see cref="T:System.Int64"/> will be loaded.</param>
            <param name="value">Contains the loaded <see cref="T:System.Int64"/> value.</param>
        </member>
        <member name="M:SweetLib.IO.Classes.Streaming.StreamManager.LoadFromStream(System.IO.Stream,System.Single@)">
            <summary>
            Loads a <see cref="T:System.String"/> from a given <see cref="T:System.IO.Stream"/>.
            </summary>
            <param name="stream"><see cref="T:System.IO.Stream"/> from which the <see cref="T:System.String"/> will be loaded.</param>
            <param name="value">Contains the loaded <see cref="T:System.String"/> value.</param>
        </member>
        <member name="M:SweetLib.IO.Classes.Streaming.StreamManager.LoadFromStream(System.IO.Stream,System.Double@)">
            <summary>
            Loads a <see cref="T:System.Double"/> from a given <see cref="T:System.IO.Stream"/>.
            </summary>
            <param name="stream"><see cref="T:System.IO.Stream"/> from which the <see cref="T:System.Double"/> will be loaded.</param>
            <param name="value">Contains the loaded <see cref="T:System.Double"/> value.</param>
        </member>
        <member name="M:SweetLib.IO.Classes.Streaming.StreamManager.LoadFromStream(System.IO.Stream,System.DateTime@)">
            <summary>
            Loads a <see cref="T:System.DateTime"/> from a given <see cref="T:System.IO.Stream"/>.
            </summary>
            <param name="stream"><see cref="T:System.IO.Stream"/> from which the <see cref="T:System.DateTime"/> will be loaded.</param>
            <param name="value">Contains the loaded <see cref="T:System.DateTime"/> value.</param>
        </member>
        <member name="M:SweetLib.IO.Classes.Streaming.StreamManager.LoadFromStream(System.IO.Stream,System.IO.Stream@)">
            <summary>
            Loads a <see cref="T:System.IO.Stream"/> from a given <see cref="T:System.IO.Stream"/>.
            </summary>
            <param name="stream"><see cref="T:System.IO.Stream"/> from which the <see cref="T:System.IO.Stream"/> will be loaded.</param>
            <param name="value">Contains the loaded <see cref="T:System.IO.Stream"/> value.</param>
        </member>
    </members>
</doc>
